Update webhook
Update a specific webhook by its ID
Request schema
Path parameters
ID of the webhook
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The unique identifier of the group that this webhook belongs to
The name of the webhook
An optional description of the webhook
The events that the webhook should alert on. If empty or omitted, all events are alerted on.
The endpoint the webhook will ping when an event occurs in Activations. Must be a secure (HTTPS) site.
PATCH /api/v2/webhooks/{webhook_id} HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Content-Type: application/json Host: app.getcensus.com Content-Length: 249 { "group_id": "wandering_aimlessly", "name": "My Webhook", "description": "Webhook for failed syncs", "events": [ "sync.alert.raised", "sync.alert.resolved" ], "endpoint": "https://mycompany.com/fivetran-activation-sync-alerts" }
Responses
200
The outcome of the request
Webhooks are used to notify you when sync alerts are raised or resolved, or when certain lifecycle events happen during a sync run.
The unique identifier of the group that this webhook belongs to
The name of the webhook
An optional description of the webhook
The events that the webhook should alert on. If empty or omitted, all events are alerted on.
The endpoint the webhook will ping when an event occurs in Activations. Must be a secure (HTTPS) site.
The id of the webhook.
400
The outcome of the request
The reason the request failed
401
HTTP status code.
403
HTTP status code.
Error message.
404
HTTP status code.
500
HTTP status code.
Description of the outcome.
{ "status": "updated", "data": { "group_id": "wandering_aimlessly", "name": "My Webhook", "description": "Webhook for failed syncs", "events": [ "sync.alert.raised", "sync.alert.resolved" ], "endpoint": "https://mycompany.com/fivetran-activation-sync-alerts", "id": 123 } }